package cn.hmsoft.frame.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**
 * 
 * 系统线程
 * @author: zxq
 * @date: 2018-08-09 17:49:54
 * @version: 5.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "frame_thread", keyColumn = "THREAD_ID", sequenceName = "FRAME_THREAD_ID")
public class FrameThread implements Serializable {
	private static final long serialVersionUID = 1410300887757082970L;
	//线程ID
	private Integer thread_id;
	//线程名称
	private String thread_name;
	//线程状态
	private String thread_status;
	//状态变更时间
	private LocalDateTime thread_status_time;
	//线程类型
	private String thread_type;
	//线程开始时间
	private LocalDateTime thread_start_time;
	//线程结束时间
	private LocalDateTime thread_end_time;
	//线程描述信息
	private String thread_notice;
	//线程已运行百分比
	private Integer thread_percent;
	//线程完成后回调类型
	private String callback_type;
	//线程完成后回调参数
	private String callback_param;
	//创建人内部编号
	private Integer create_optr_id;
	//创建人登录名
	private String create_login_name;
	//创建人姓名
	private String create_optr_name;

	/****
	 * 线程ID
	 */
	public Integer getThread_id() {
		return this.thread_id;
	}

	/****
	 * 线程ID
	 */
	public void setThread_id(Integer thread_id) {
		this.thread_id = thread_id;
	}

	/****
	 * 线程名称
	 */
	public String getThread_name() {
		return this.thread_name;
	}

	/****
	 * 线程名称
	 */
	public void setThread_name(String thread_name) {
		this.thread_name = thread_name;
	}

	/****
	 * 线程状态
	 */
	public String getThread_status() {
		return this.thread_status;
	}

	/****
	 * 线程状态
	 */
	public void setThread_status(String thread_status) {
		this.thread_status = thread_status;
	}

	/****
	 * 状态变更时间
	 */
	public LocalDateTime getThread_status_time() {
		return this.thread_status_time;
	}

	/****
	 * 状态变更时间
	 */
	public void setThread_status_time(LocalDateTime thread_status_time) {
		this.thread_status_time = thread_status_time;
	}

	/****
	 * 线程类型
	 */
	public String getThread_type() {
		return this.thread_type;
	}

	/****
	 * 线程类型
	 */
	public void setThread_type(String thread_type) {
		this.thread_type = thread_type;
	}

	/****
	 * 线程开始时间
	 */
	public LocalDateTime getThread_start_time() {
		return this.thread_start_time;
	}

	/****
	 * 线程开始时间
	 */
	public void setThread_start_time(LocalDateTime thread_start_time) {
		this.thread_start_time = thread_start_time;
	}

	/****
	 * 线程结束时间
	 */
	public LocalDateTime getThread_end_time() {
		return this.thread_end_time;
	}

	/****
	 * 线程结束时间
	 */
	public void setThread_end_time(LocalDateTime thread_end_time) {
		this.thread_end_time = thread_end_time;
	}

	/****
	 * 线程描述信息
	 */
	public String getThread_notice() {
		return this.thread_notice;
	}

	/****
	 * 线程描述信息
	 */
	public void setThread_notice(String thread_notice) {
		this.thread_notice = thread_notice;
	}

	/****
	 * 线程已运行百分比
	 */
	public Integer getThread_percent() {
		return this.thread_percent;
	}

	/****
	 * 线程已运行百分比
	 */
	public void setThread_percent(Integer thread_percent) {
		this.thread_percent = thread_percent;
	}

	/****
	 * 线程完成后回调类型
	 */
	public String getCallback_type() {
		return this.callback_type;
	}

	/****
	 * 线程完成后回调类型
	 */
	public void setCallback_type(String callback_type) {
		this.callback_type = callback_type;
	}

	/****
	 * 线程完成后回调参数
	 */
	public String getCallback_param() {
		return this.callback_param;
	}

	/****
	 * 线程完成后回调参数
	 */
	public void setCallback_param(String callback_param) {
		this.callback_param = callback_param;
	}

	/****
	 * 创建人内部编号
	 */
	public Integer getCreate_optr_id() {
		return this.create_optr_id;
	}

	/****
	 * 创建人内部编号
	 */
	public void setCreate_optr_id(Integer create_optr_id) {
		this.create_optr_id = create_optr_id;
	}

	/****
	 * 创建人登录名
	 */
	public String getCreate_login_name() {
		return this.create_login_name;
	}

	/****
	 * 创建人登录名
	 */
	public void setCreate_login_name(String create_login_name) {
		this.create_login_name = create_login_name;
	}

	/****
	 * 创建人姓名
	 */
	public String getCreate_optr_name() {
		return this.create_optr_name;
	}

	/****
	 * 创建人姓名
	 */
	public void setCreate_optr_name(String create_optr_name) {
		this.create_optr_name = create_optr_name;
	}


}